---
{%- from "zabbix/map.jinja" import zabbix with context %}
zabbix_script_dir:
  file.directory:
    - name: /etc/zabbix/scripts

{%- for key, value in zabbix.agent.scripts.items() %}
zabbix_script_{{ key }}:
  file.managed:
    - name: /etc/zabbix/scripts/{{ value.name }}
    - source: salt://zabbix/scripts/{{ value.name }}
    - owner: zabbix
    - group: zabbix
    - mode: 0755
{%- endfor %}
